/************************************************************
** Split Studio AddOn v1.1 (6.7.2000)
** (c) by Gian Davide Alfano
** This program is FREEWARE
** For any question, suggestion, donation(?) write to:
** alfagiandy@libero.it
** http://digilander.iol.it
**
** This program is free software; you can redistribute it and/or 
** modify it under the terms of the GNU General Public License 
** as published by the Free Software Foundation; either version 2 
** of the License, or (at your option) any later version. 
**
** This program is distributed in the hope that it will be useful, 
** but WITHOUT ANY WARRANTY; without even the implied warranty of 
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
** GNU General Public License for more details. 
**
** You should have received a copy of the GNU General Public License 
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
**
*************************************************************/

#include <TrackerAddOn.h>
#include <Roster.h>
#include <StorageKit.h>
#include <Alert.h>
#include <stdio.h>
#include <stdlib.h>

void process_refs(entry_ref dir_ref, BMessage *msg, void *)
{
	int refs;
	entry_ref file_ref;
	for (refs=0; msg->FindRef("refs", refs, &file_ref) == B_NO_ERROR; refs++);
	
	switch(refs)
	{
		case 0 :
		
			(new BAlert("Split Studio AddOn","Split Studio AddOn\n\nNo files selected!","Ok",NULL,NULL,B_WIDTH_AS_USUAL,B_STOP_ALERT))->Go();	
		case 1 :
			if (be_roster->Launch("application/x-vnd.SplitStudio11",msg)==B_ERROR)
				(new BAlert("SplitStudio AddOn","Split Studio AddOn\n\nError starting Split Studio v1.1!","Ok",NULL,NULL,B_WIDTH_AS_USUAL,B_STOP_ALERT))->Go();
			break;

// This option has been removed as of v1.1
// If you want to keep it please notice that if you try to rebuild more than 7-8 files
// it will crash :-( (you should reallocate the length of the string to acomodate more chars.)
//	
//		default :
//			char s[B_FILE_NAME_LENGTH];		
//		
//			BEntry dir(&dir_ref);
//			BPath fpath, dpath;
//			dir.GetPath(&dpath);
//			dpath.Append("ss_rebuilded");
//			
//			sprintf(s,"cat >%s ",dpath.Path());
//			
//			for (refs=0; msg->FindRef("refs", refs, &file_ref) == B_NO_ERROR; refs++) {
//				BEntry entry(&file_ref,true);
//				entry.GetPath(&fpath);
//				sprintf(s,"%s %s ",s,fpath.Path());
//			}
//			if (system(s))			
//				(new BAlert("Split Studio AddOn","Split Studio AddOn\n\nCannot rebuild files into ss_rebuild","Ok",NULL,NULL,B_WIDTH_AS_USUAL,B_STOP_ALERT))->Go();
//			break;
	}
}